Last Comment Bug 649666 - Do not create container layers for scrollboxes with (0, 0) scrollRange
: Do not create container layers for scrollboxes with (0, 0) scrollRange
Status: RESOLVED FIXED
: mobile, perf
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Benjamin Stover (:stechz)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 09:46 PDT by Benjamin Stover (:stechz)
Modified: 2011-04-19 15:32 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Do not create container layers for scrollboxes with (0, 0) scrollRange (1.23 KB, patch)
2011-04-13 09:47 PDT, Benjamin Stover (:stechz)
roc: review+
Details | Diff | Splinter Review

Description Benjamin Stover (:stechz) 2011-04-13 09:46:49 PDT
For remote builds, we are currently creating (empty) container layers for scroll frames that have a (0, 0) scroll range. I've noticed a lot of these in my testing, so we could cull many useless container layers.
Comment 1 Benjamin Stover (:stechz) 2011-04-13 09:47:48 PDT
Created attachment 525701 [details] [diff] [review]
Do not create container layers for scrollboxes with (0, 0) scrollRange
Comment 2 Benjamin Stover (:stechz) 2011-04-13 10:40:47 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/a6467a88b056
Comment 3 Benjamin Stover (:stechz) 2011-04-13 13:40:05 PDT
This may fix a Talos regression from 642246.
Comment 4 JP Rosevear [:jpr] 2011-04-15 12:58:50 PDT
Before we can consider this, how big is the regression and is it definitely solved by this patch?
Comment 5 Benjamin Stover (:stechz) 2011-04-15 15:00:15 PDT
We saw a Tp4 increase 9.69% on Nokia n900 mobile, but couldn't verify that this was a regression on Android devices. Mark said that an improvement occurred in a changeset range that included this bug and a cedar merge.

It's low risk patch, but then again, we're not very confident that there was a real Android regression or that this is the patch that fixed it.
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2011-04-19 15:32:34 PDT
Given the lack of obvious gain here we'll wait for 6 to get this. If there's a significant provable benefit here on a tier 1 platform then please renominate.

Note You need to log in before you can comment on or make changes to this bug.